1

I'm trying to build the latest version of LMMS v1.0.0 and I'm running into this error

Linking CXX executable RemoteZynAddSubFx /usr/bin/ld: cannot find -lXft /usr/bin/ld: cannot find -lfontconfig /usr/bin/ld: cannot find -lXinerama collect2: error: ld returned 1 exit status make[2]: * [plugins/zynaddsubfx/RemoteZynAddSubFx] Error 1 make[1]: [plugins/zynaddsubfx/CMakeFiles/RemoteZynAddSubFx.dir/all] Error 2 make: ** [all] Error 2

What I gather is it can't find these 3 things to link to? Where do I find them and then link them?

Much appreciated in advance!

1

ZynAddSubFX links to these libraries and they are a hard-dependency as outlined in the build tutorial (see the Or, manually: block).

apt-get install libxft-dev libxinerama-dev

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.